Автор Тема: Уведомления модуля mailalerts  (Прочитано 116 раз)

10 Март 2021, 09:26:11
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Установил на Престу 1.6 модуль Mail alerts v3.7.0.
Уведомления о новых заказах модуль отправляет нормально.
Проблема с отправкой сообщений клиентам, которые заполнили форму "Сообщить когда товар появится в наличии".
Подозреваю, что дело в том, что наличие товаров изменяется через файл импорта и какие-то данные не передаются для этого модуля.
Вот нашел что-то похожее, но для Престы 1.7 - https://rugeek.ru/questions/do-not-send-me-notifications-alert-email-prestashop-by-erp/
Это можно как-то исправить?
10 Март 2021, 11:41:13
Ответ #1
  • Ветеран
  • *****
  • Сообщений: 1738
  • Репутация: +47/-1
  • Сообщество PrestaShop
    • Просмотр профиля
В таблице mailalert_customer_oos данные должны обновится.
10 Март 2021, 12:11:00
Ответ #2
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
В таблице mailalert_customer_oos данные должны обновится.
В этой таблице прописаны 2 моих тестовых подписки на один товар. Меняю количество этого товара, но уведомления не приходят.
Есть ещё одна старая проблема, которую так и не смог решить - вручную количество товара в админке, в карточке товара не меняется, выдаётся ошибка скрипта. Может это как-то связано?
10 Март 2021, 13:04:01
Ответ #3
  • Ветеран
  • *****
  • Сообщений: 1738
  • Репутация: +47/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Связанно конечно. Нужно сначала определить почему в ручную количество не изменить.
Показ ошибок в prestashop включали? Лог ошибок проверяли?
10 Март 2021, 14:34:24
Ответ #4
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Вот такая ошибка выдаётся при изменении количества вручную
10 Март 2021, 15:00:02
Ответ #5
  • Ветеран
  • *****
  • Сообщений: 1262
  • Репутация: +12/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Javascript ошибка, такие показ ошибок от престы не обработает.
В консоле браузера можно проверить.
10 Март 2021, 21:18:16
Ответ #6
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Javascript ошибка, такие показ ошибок от престы не обработает.
В консоле браузера можно проверить.
Если правильно смотрю, то вот такие ошибки вроде есть в консоле браузера
11 Март 2021, 11:37:33
Ответ #7
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
plugin.min.js:1  где вообще должен находиться?
11 Март 2021, 12:10:24
Ответ #8
  • Ветеран
  • *****
  • Сообщений: 16422
  • Репутация: +14622/-5
  • Сообщество PrestaShop
    • Просмотр профиля
plugin.min.js:1  где вообще должен находиться?
Таких файлов много. В вашем случае это может быть файл из редактора
/adminXXXXX/filemanager/plugin.min.js
11 Март 2021, 12:11:44
Ответ #9
  • Ветеран
  • *****
  • Сообщений: 1738
  • Репутация: +47/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Плагины редактора в папке /js/tiny_mce/plugins/
11 Март 2021, 12:21:37
Ответ #10
  • Ветеран
  • *****
  • Сообщений: 22060
  • Репутация: +25301/-1
  • Prestashop - просто и эффективно
    • Просмотр профиля
Ошибка из-за совместимости версий javascript библиотек.
Скорее всего установлено несколько версий jquery.
Эксперт Prestashop - решения всех проблем, написание модулей, создание тем для интернет-магазинов под Prestashop.
Эксперт Magento - создам сайт на Magento, программирование кастомных модулей для Magento, кастомизация тем Magento.
Лучшие цены!!!
11 Март 2021, 12:40:06
Ответ #11
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Плагины редактора в папке /js/tiny_mce/plugins/
Такие файлы есть в папке в папке /js/tiny_mce. В /js/tiny_mce/plugins/ их не было, я добавил, но ничего не поменялось
11 Март 2021, 12:42:15
Ответ #12
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
plugin.min.js:1  где вообще должен находиться?
Таких файлов много. В вашем случае это может быть файл из редактора
/adminXXXXX/filemanager/plugin.min.js

В этой папке есть эти файлы, а в ошибке указано, что не найдены
11 Март 2021, 12:43:12
Ответ #13
  • Старожил
  • ****
  • Сообщений: 274
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Ошибка из-за совместимости версий javascript библиотек.
Скорее всего установлено несколько версий jquery.

Имеетя ввиду, в движке установлено несколько версий jquery?
Как можно посмотреть?
11 Март 2021, 13:28:01
Ответ #14
  • Ветеран
  • *****
  • Сообщений: 16422
  • Репутация: +14622/-5
  • Сообщество PrestaShop
    • Просмотр профиля
plugin.min.js:1  где вообще должен находиться?
Таких файлов много. В вашем случае это может быть файл из редактора
/adminXXXXX/filemanager/plugin.min.js
В этой папке есть эти файлы, а в ошибке указано, что не найдены
В описании ошибки указано, что какой-то файл не найден, нет его или путь к файлу определен не правильно.
Это может быть любой файл, в том числе и файлы css.
Это описание из файлов /js/retro-compat.js.php и /css/retro-compat.css.php
Вам остается только сравнивать все файлы движка+модулей+темы. Та еще работа. Проще установить заново и перенести данные.